import sys
from math import inf

# parametry na příkazové řádce
soubor = sys.argv[1]
počet = int(sys.argv[2]) if len(sys.argv) == 3 else inf

# generátor pro čtení FASTQ
def fastq_reader(file):
    with open(file) as f:
        # sice procházíme soubor řádku po řádce, ale 'for' načte vždy jenom hlavičku
        for header in f:
            seq = next(f)   # sekvence
            _ = next(f)     # třetí, komentářová řádka
            qual = next(f)  # kvalita čtení
            # yield čtyř načtených řádek patřících jedné sekvenci
            yield header.strip(), seq.strip(), _.strip(), qual.strip()

# přímočaré použití v praxi
for i, (hlavička, sekvence, _, kvalita) in enumerate(fastq_reader(soubor), start=1):
    if i <= počet:
        print(hlavička)
        print(sekvence)
        print(kvalita)
        input('?')
